'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.plugins = exports.test = exports.utils = exports.plugin = exports.envelope = exports.data = exports.queries = exports.runner = undefined;

var _littleforkCore = require('littlefork-core');

Object.defineProperty(exports, 'runner', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.runner;
  }
});
Object.defineProperty(exports, 'queries', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.queries;
  }
});
Object.defineProperty(exports, 'data', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.data;
  }
});
Object.defineProperty(exports, 'envelope', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.envelope;
  }
});
Object.defineProperty(exports, 'plugin', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.plugin;
  }
});
Object.defineProperty(exports, 'utils', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.utils;
  }
});
Object.defineProperty(exports, 'test', {
  enumerable: true,
  get: function get() {
    return _littleforkCore.test;
  }
});

var _fp = require('lodash/fp');

var _littleforkCore2 = _interopRequireDefault(_littleforkCore);

var _modules = require('./modules');

var _modules2 = _interopRequireDefault(_modules);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var plugins = exports.plugins = (0, _fp.flow)([_modules2.default,
// eslint-disable-next-line global-require, import/no-dynamic-require
(0, _fp.reduce)(function (memo, module) {
  return (0, _fp.merge)(memo, require(module).plugins);
}, {})])();

exports.default = (0, _fp.merge)(_littleforkCore2.default, { plugins: plugins });